Create authorization

API to request a new pre-authorized token

Responses

200 OK

  • id [string]: Unique ID of the authorization token
  • code_identifier [string]: Generated code identifier which contains authorisation details
  • shop_uid [string]: Unique ID of the shop
  • status [string]: Status of the authorization token (PENDING)
  • reason [string]: The reason why the token has been required
  • callback_url [string]: The url to be notified in case of change
  • metadata [object]: Metadata inserted within the authorization request
  • redirect_url [string]: Redirect url to the authorization page

400 Bad Request

  • code [integer]: Error code
    36 → missing or invalid fields
    173 → user not fund for given number
  • message [string]: Error message

401 Unauthorized

  • code [integer]: Error code
    34 → unauthorized
  • message [string]: Error message
Body Params
string

The reason why the token is being request

string

The url that will be called with an http GET request if the pre-authorization status changes. Note that {uuid} will be replaced with the authorization token

string

The url to redirect the user after the authorization flow is completed

Headers
string
required

The host declared in the signature

string
required

The date declared in the signature

string
required

The digest declared in the signature

string
required

Signature of the request

string

The idempotent token of the request

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json
text/plain